Bug 8784 - Missing files in debian.packages list
Summary: Missing files in debian.packages list
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low major (vote)
Assignee: M. Tompsett
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-18 12:58 UTC by M. Tompsett
Modified: 2013-12-05 20:05 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Added missing dependencies into debian.packages list (3.55 KB, patch)
2012-09-18 13:04 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 8784 - Missing files in debian.packages list (3.61 KB, patch)
2012-11-04 08:19 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2012-09-18 12:58:35 UTC
Based on the output of koha_perl_deps.pl, several things need updating in install_misc/debian.packages for a simpler git installation.

Testing would involve a fresh git install, and doing:
sudo apt-get install dselect
sudo dpkg --set-selections < install_misc/debian.packages
sudo dselect
I, C, R, and then Q.
./koha_perl_deps.pl -m -u
Noticeable list
apply patch
sudo dpkg --set-selections < install_misc/debian.packages
sudo dselect
I, C, R, and then Q.
./koha_perl_deps.pl -m -u

All the required items should be installed. DateTime::TimeZone may still be listed, but that's because of a min_ver problem, not a missing problem.

This helps people first starting with a git set up to not have to figure out where to get missing required libraries.
Comment 1 M. Tompsett 2012-09-18 13:04:58 UTC Comment hidden (obsolete)
Comment 2 Zeno Tajoli 2012-09-26 09:10:58 UTC
I see that the patch delete the package libmodern-perl-perl.
Why ? I see this module used in:

acqui/check_uniqueness.pl
acqui/modordernotes.pl

and in others scripts.
Comment 3 M. Tompsett 2012-09-26 10:12:30 UTC
It did not delete it. It moved it. Made all the library listings in alphabetical order. See it is 2 lines over on the right?
Comment 4 Chris Cormack 2012-11-04 08:19:46 UTC
Created attachment 13242 [details] [review]
Bug 8784 - Missing files in debian.packages list

Added missing items based on ./koha_perl_deps.pl -m -u

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 5 Paul Poulain 2012-11-08 17:22:31 UTC
QA comment:
 * debian.packages changes only
 * I can't confirm that it work, but I don't see any problem, and no side effect risk or string change

passed QA, OK for 3.10.0
Comment 6 Jared Camins-Esakov 2012-11-08 17:40:14 UTC
This patch has been pushed to master.
Comment 7 Paul Poulain 2012-11-12 13:21:22 UTC
Patch pushed to branch 3.10.x
Comment 8 Chris Cormack 2013-04-22 08:38:44 UTC
Released in 3.10.0